﻿-- Author      : Nogarder
-- Create Date : 2010/7/4 16:33:11
if(NPA_Core:CheckHook("Aura"))then

local table_insert = table.insert
local pairs = pairs

local Localization={}
local locale=GetLocale()
local Tooltips={}
if(locale=="zhTW")then
	Localization={
		["PageName"]="增減益",
		["Aura_OffsetX"]="X偏移",
		["Aura_OffsetY"]="Y偏移",
		["Aura_MaxBuff"]="Buff數量",
		["Aura_MaxDebuff"]="Debuff數量",
		["SelfBuff"]="屬於我的buff",
		["SelfDebuff"]="屬於我的debuff",
		["OtherBuff"]="屬於它人的buff",
		["OtherDebuff"]="屬於它人的debuff",
		["PetBuff"]="屬於我的寵物的buff",
		["PetDebuff"]="屬於我的寵物的debuff",
		["TargetBuff"]="屬於我的目標的buff",
		["TargetDebuff"]="屬於我的目標的debuff",
		["FocusBuff"]="屬於我的focus的buff",
		["FocusDebuff"]="屬於我的focus的debuff",
		["MouseoverBuff"]="屬於鼠標滑過目標的buff",
		["MouseoverDebuff"]="屬於鼠標滑過目標的debuff",
		["WhiteList"]="白名單",
		["BlackList"]="黑名單",
		["BySpellid"]="id",
		["BySpellname"]="名",
		["BuffTime"]="buff時間",
		["DebuffTime"]="debuff時間",
		["Magic"]="魔法",
		["Physic"]="物理",
		["Poison"]="毒",
		["Disease"]="疾病",
		["Other"]="其它人的",
		["Stealable"]="可偷取的",
		["Mine"]="我的",
		["BuffPerRow"]="每行buff",
		["DebuffPerRow"]="每行debuff",
		["Anchor"]="主框體錨點",
		["BuffAnchor"]="Buff框體錨點",
		["DebuffAnchor"]="Debuff框體錨點",
		["GapWidth"]="間隙寬度",
		["GapHeight"]="間隙高度",
		["Time"]="時間",
		["Stack"]="層數",
		["Icon"]="圖標",
		["Background"]="背景",
		["Overlay"]="前景",
		["Curse"]="詛咒",
		["BuffOffsetX"]="Buff X",
		["BuffOffsetY"]="Buff Y",
		["DebuffOffsetX"]="Debuff X",
		["DebuffOffsetY"]="Debuff Y",
		["BuffGrowUpward"]="Buff向上增長",
		["BuffGrowRightward"]="Buff向右增長",
		["DebuffGrowUpward"]="Debuff向上增長",
		["DebuffGrowRightward"]="Debuff向右增長",
		["BuffOnDebuff"]="buff定位在debuff上",
		["DebuffOnBuff"]="debuff定位在buff上",
		["Decile"]="最後一秒顯示十分位",
		["BuffScale"]="Buff縮放",
		["DebuffScale"]="Debuff縮放",
		["Highlight"]="高亮",
		["UseHighlight"]="啟用高亮",
		["SpellId"]="法術id",
		["ScaleList"]="特殊縮放",
		["Scale"]="縮放",
		["BuffFilter"]="Buff過濾",
		["DebuffFilter"]="Debuff過濾",
		["SchoolFilter"]="系別過濾",
		["HighlightList"]="特殊高亮",
		["Bar"]="計時器條",
		["ShowBar"]="顯示計時器條",
		["ColorHighlight"]="上色高亮材質",
		["ColorBackground"]="上色背景材質",
		["ColorBar"]="上色計時器條",
		["ColorMagic"]="上色魔法",
		["ColorPosion"]="上色毒",
		["ColorDisease"]="上色疾病",
		["ColorCurse"]="上色詛咒",
		["ColorPhysic"]="上色物理",
		["ColorTextByTime"]="按時間著色文本",
		["ColorBarByTime"]="按時間著色計時器條",
		["AlterDecile"]="修改小數顯示",
		["SortBySpellid"]="按法術id排序图标",
		["SortByTimeleft"]="按剩餘時間排序图标",
	}
	Tooltips={
		["Aura"]="顯示buff和debuff圖標",
		["WhiteList"]="不論過濾設置如何,這個列表中的增減益將總是被顯示",
		["BlackList"]="不論過濾設置如何,這個列表中的增減益將總是被隱藏",
		["BuffTime"]="剩餘時間超越這個數字(單位為秒)的buff將被隱藏,設置為0則關閉",
		["DebuffTime"]="剩餘時間超越這個數字(單位為秒)的debuff將被隱藏,設置為0則關閉",
	}
elseif(locale=="zhCN")then
	Localization={
		["PageName"]="增减益",
		["Aura_OffsetX"]="X偏移",
		["Aura_OffsetY"]="Y偏移",
		["Aura_MaxBuff"]="Buff数量",
		["Aura_MaxDebuff"]="Debuff数量",
		["SelfBuff"]="属于我的buff",
		["SelfDebuff"]="属于我的debuff",
		["OtherBuff"]="属于它人的buff",
		["OtherDebuff"]="属于它人的debuff",
		["PetBuff"]="属于我的宠物的buff",
		["PetDebuff"]="属于我的宠物的debuff",
		["TargetBuff"]="属于我的目标的buff",
		["TargetDebuff"]="属于我的目标的debuff",
		["FocusBuff"]="属于我的focus的buff",
		["FocusDebuff"]="属于我的focus的debuff",
		["MouseoverBuff"]="属于鼠标滑过目标的buff",
		["MouseoverDebuff"]="属于鼠标滑过目标的debuff",
		["WhiteList"]="白名单",
		["BlackList"]="黑名单",
		["BySpellid"]="id",
		["BySpellname"]="名",
		["BuffTime"]="buff时间",
		["DebuffTime"]="debuff时间",
		["Magic"]="魔法",
		["Physic"]="物理",
		["Poison"]="毒",
		["Disease"]="疾病",
		["Other"]="其它人的",
		["Stealable"]="可偷取的",
		["Mine"]="我的",
		["BuffPerRow"]="每行buff",
		["DebuffPerRow"]="每行debuff",
		["Anchor"]="主框体锚点",
		["BuffAnchor"]="Buff框体锚点",
		["DebuffAnchor"]="Debuff框体锚点",
		["GapWidth"]="间隙宽度",
		["GapHeight"]="间隙高度",
		["Time"]="时间",
		["Stack"]="层数",
		["Icon"]="图标",
		["Background"]="背景",
		["Overlay"]="前景",
		["Curse"]="诅咒",
		["BuffOffsetX"]="Buff X",
		["BuffOffsetY"]="Buff Y",
		["DebuffOffsetX"]="Debuff X",
		["DebuffOffsetY"]="Debuff Y",
		["BuffGrowUpward"]="Buff向上增长",
		["BuffGrowRightward"]="Buff向右增长",
		["DebuffGrowUpward"]="Debuff向上增长",
		["DebuffGrowRightward"]="Debuff向右增长",
		["BuffOnDebuff"]="buff定位在debuff上",
		["DebuffOnBuff"]="debuff定位在buff上",
		["Decile"]="最后一秒显示十分位",
		["BuffScale"]="Buff缩放",
		["DebuffScale"]="Debuff缩放",
		["Highlight"]="高亮",
		["UseHighlight"]="启用高亮",
		["SpellId"]="法术id",
		["ScaleList"]="特殊缩放",
		["Scale"]="缩放",
		["BuffFilter"]="Buff过滤",
		["DebuffFilter"]="Debuff过滤",
		["SchoolFilter"]="系别过滤",
		["HighlightList"]="特殊高亮",
		["Bar"]="计时器条",
		["ShowBar"]="显示计时器条",
		["ColorHighlight"]="上色高亮材质",
		["ColorBackground"]="上色背景材质",
		["ColorBar"]="上色计时器条",
		["ColorMagic"]="上色魔法",
		["ColorPosion"]="上色毒",
		["ColorDisease"]="上色疾病",
		["ColorCurse"]="上色诅咒",
		["ColorPhysic"]="上色物理",
		["ColorTextByTime"]="按时间着色文本",
		["ColorBarByTime"]="按时间着色计时器条",
		["AlterDecile"]="修改小数显示",
		["SortBySpellid"]="按法术id排序图标",
		["SortByTimeleft"]="按剩余时间排序图标",
		
	}
	Tooltips={
		["Aura"]="显示buff和debuff图标",
		["WhiteList"]="不论过滤设置如何,这个列表中的增减益将总是被显示",
		["BlackList"]="不论过滤设置如何,这个列表中的增减益将总是被隐藏",
		["BuffTime"]="剩余时间超越这个数字(单位为秒)的buff将被隐藏,设置为0则关闭",
		["DebuffTime"]="剩余时间超越这个数字(单位为秒)的debuff将被隐藏,设置为0则关闭",
	}
else
	Localization={
		["PageName"]="Auras",
		["Aura_OffsetX"]="Offset X",
		["Aura_OffsetY"]="Offset Y",
		["Aura_MaxBuff"]="Max Buffs",
		["Aura_MaxDebuff"]="Max Debuffs",
		["SelfBuff"]="Buff from me",
		["SelfDebuff"]="Debuff from me",
		["OtherBuff"]="Buff from other",
		["OtherDebuff"]="Debuff from other",
		["PetBuff"]="Buff from my pet",
		["PetDebuff"]="Debuff from my pet",
		["TargetBuff"]="Buff from my target",
		["TargetDebuff"]="Debuff from my target",
		["FocusBuff"]="Buff from my focus",
		["FocusDebuff"]="Debuff from my focus",
		["MouseoverBuff"]="Buff from mouseover",
		["MouseoverDebuff"]="Debuff from mouseover",
		["WhiteList"]="Whitelist",
		["BlackList"]="BlackList",
		["BySpellid"]="By id",
		["BySpellname"]="By name",
		["Aura_StackSize"]="Stack text size",
		["Aura_TimeSize"]="Timer text size",
		["BuffTime"]="Buff time",
		["DebuffTime"]="Debuff time",
		["Magic"]="Magic",
		["Physic"]="Physic",
		["Poison"]="Poison",
		["Disease"]="Disease",
		["Other"]="Other's",
		["Stealable"]="Stealable",
		["Mine"]="Mine",
		["BuffPerRow"]="Buffs per row",
		["DebuffPerRow"]="Debuffs per row",
		["Anchor"]="Main frame anchor",
		["BuffAnchor"]="Buff frame anchor",
		["DebuffAnchor"]="Debuff frame anchor",
		["GapWidth"]="Gap width",
		["GapHeight"]="Gap height",
		["Time"]="Time",
		["Stack"]="Stack",
		["Icon"]="Icon",
		["Background"]="Background",
		["Overlay"]="Overlay",
		["Curse"]="Curse",
		["BuffOffsetX"]="Buff X",
		["BuffOffsetY"]="Buff Y",
		["DebuffOffsetX"]="Debuff X",
		["DebuffOffsetY"]="Debuff Y",
		["BuffGrowUpward"]="Buff grows upward",
		["BuffGrowRightward"]="Buff grows rightward",
		["DebuffGrowUpward"]="Debuff grows upward",
		["DebuffGrowRightward"]="Debuff grows rightward",
		["BuffOnDebuff"]="Buff anchor on debuff",
		["DebuffOnBuff"]="Debuff anchor on buff",
		["Decile"]="Decile on last second",
		["BuffScale"]="Buff scale",
		["DebuffScale"]="Debuff scale",
		["Highlight"]="Highlight",
		["UseHighlight"]="Enable highlight",
		["SpellId"]="Spell id",
		["ScaleList"]="Special scale",
		["Scale"]="Scale",
		["UseHighlightScale"]="Enable highlight scale",
		["HighlightScale"]="Highlight scale",
		["BuffFilter"]="Buff filters",
		["DebuffFilter"]="Debuff filters",
		["SchoolFilter"]="School filters",
		["HighlightList"]="Highlight list",
		["Bar"]="Timer bar",
		["ShowBar"]="Show timer bar",
		["ColorHighlight"]="Color highlight texture",
		["ColorBackground"]="Color background texture",
		["ColorBar"]="Color timer bar",
		["ColorMagic"]="Color magic",
		["ColorPosion"]="Color posion",
		["ColorDisease"]="Color disease",
		["ColorCurse"]="Color curse",
		["ColorPhysic"]="Color physic",
		["ColorTextByTime"]="Color text by time",
		["ColorBarByTime"]="Color timer bar by time",
		["AlterDecile"]="Alter decile display",
		["SortBySpellid"]="Resort icon by spellid",
		["SortByTimeleft"]="Resort icon by timeleft",
		
	}
	Tooltips={
		["Aura"]="Show buff and debuff icons",
		["WhiteList"]="Aura in this list will be always shown ignoring filter settings",
		["BlackList"]="Aura in this list will be always hidden ignoring filter settings",
		["BuffTime"]="Hide buff has more time left than this(by second), set to 0 to turn off",
		["DebuffTime"]="Hide debuff has more time left than this(by second), set to 0 to turn off",
	}
end


local mainframe=NPA_Options:AddPage("NPA_Options_Aura",Localization["PageName"],"Aura",Tooltips["Aura"])

local Options=mainframe.Options



local sliderlist={
	["Aura_OffsetX"]={
		Name=Localization["Aura_OffsetX"],
		Min=-50,
		Max=50,
		Step=1,
		Width=70,
		OffsetX=20,
		OffsetY=-5
	},
	["Aura_OffsetY"]={
		Name=Localization["Aura_OffsetY"],
		Min=-50,
		Max=50,
		Step=1,
		Width=70,
		OffsetX=105,
		OffsetY=-5
	},
	["Aura_GapY"]={
		Name=Localization["GapHeight"],
		Min=1,
		Max=100,
		Step=1,
		Width=70,
		OffsetX=190,
		OffsetY=-5
	},
	["Aura_GapX"]={
		Name=Localization["GapWidth"],
		Min=1,
		Max=100,
		Step=1,
		Width=70,
		OffsetX=275,
		OffsetY=-5
	},

	["Aura_MaxBuff"]={
		Name=Localization["Aura_MaxBuff"],
		Min=0,
		Max=30,
		Step=1,
		Width=70,
		OffsetX=20,
		OffsetY=-45
	},
	["Aura_MaxDebuff"]={
		Name=Localization["Aura_MaxDebuff"],
		Min=1,
		Max=30,
		Step=1,
		Width=70,
		OffsetX=105,
		OffsetY=-45
	},
	["Aura_BuffPerRow"]={
		Name=Localization["BuffPerRow"],
		Min=1,
		Max=30,
		Step=1,
		Width=70,
		OffsetX=190,
		OffsetY=-45
	},
	["Aura_DebuffPerRow"]={
		Name=Localization["DebuffPerRow"],
		Min=1,
		Max=30,
		Step=1,
		Width=70,
		OffsetX=275,
		OffsetY=-45
	},

	["Aura_Filter_BuffTime"]={
		Name=Localization["BuffTime"],
		Min=0,
		Max=360,
		Step=1,
		Width=140,
		OffsetX=20,
		OffsetY=-85
	},
	["Aura_Filter_DebuffTime"]={
		Name=Localization["DebuffTime"],
		Min=0,
		Max=360,
		Step=1,
		Width=140,
		OffsetX=190,
		OffsetY=-85
	},


	["Aura_BuffOffsetX"]={
		Name=Localization["BuffOffsetX"],
		Min=-50,
		Max=50,
		Step=1,
		Width=70,
		OffsetX=190,
		OffsetY=-125
	},
	["Aura_BuffOffsetY"]={
		Name=Localization["BuffOffsetY"],
		Min=-50,
		Max=50,
		Step=1,
		Width=70,
		OffsetX=275,
		OffsetY=-125
	},
	["Aura_DebuffOffsetX"]={
		Name=Localization["DebuffOffsetX"],
		Min=-50,
		Max=50,
		Step=1,
		Width=70,
		OffsetX=190,
		OffsetY=-165
	},
	["Aura_DebuffOffsetY"]={
		Name=Localization["DebuffOffsetY"],
		Min=-50,
		Max=50,
		Step=1,
		Width=70,
		OffsetX=275,
		OffsetY=-165
	},

	["Aura_BuffScale"]={
		Name=Localization["BuffScale"],
		Min=0.1,
		Max=5,
		Step=0.1,
		Width=110,
		OffsetX=20,
		OffsetY=-520
	},
	["Aura_DebuffScale"]={
		Name=Localization["DebuffScale"],
		Min=0.1,
		Max=5,
		Step=0.1,
		Width=110,
		OffsetX=140,
		OffsetY=-520
	},
	["Aura_HighlightScale"]={
		Name=Localization["HighlightScale"],
		Min=0.1,
		Max=5,
		Step=0.1,
		Width=110,
		OffsetX=260,
		OffsetY=-520
	},

}

local tooltipslist={
	["Aura_Filter_BuffTime"]=Tooltips["BuffTime"],
	["Aura_Filter_DebuffTime"]=Tooltips["DebuffTime"],
}

NPA_Options:BuildSliderList("NPA_Options_Aura",mainframe,sliderlist,Options,tooltipslist)
		

NPA_Options:CreateSliderEditButton(Localization["Icon"],mainframe,"Aura_IconData",3,Options,4.2,-0.1)
NPA_Options:CreateSliderEditButton(Localization["Background"],mainframe,"Aura_BackgroundData",3,Options,5.0,-0.1)
NPA_Options:CreateSliderEditButton(Localization["Overlay"],mainframe,"Aura_OverlayData",3,Options,5.8,-0.1)
NPA_Options:CreateSliderEditButton(Localization["Highlight"],mainframe,"Aura_HighlightData",3,Options,6.6,-0.1)

NPA_Options:CreateSliderEditButton(Localization["Time"],mainframe,"Aura_TimeData",2,Options,7.9,-0.1)
NPA_Options:CreateSliderEditButton(Localization["Stack"],mainframe,"Aura_StackData",2,Options,7.9,0.4)
NPA_Options:CreateSliderEditButton(Localization["Bar"],mainframe,"Aura_BarData",1,Options,8.7,-0.1)



local listframe5=NPA_Options:CreateFrame("NPA_Options_Aura_Filter",mainframe)
listframe5:SetPoint("TOPLEFT",mainframe,"TOPLEFT",195,-270)
listframe5:SetWidth(160)

local checkboxdata={
	["Aura_Decile"]=Localization["Decile"],
	["Aura_BuffAnchorDebuff"]=Localization["BuffOnDebuff"],
	["Aura_DebuffAnchorBuff"]=Localization["DebuffOnBuff"],
	["Aura_ShowBar"]=Localization["ShowBar"],
	["Aura_ColorTextByTime"]=Localization["ColorTextByTime"],
	["Aura_ColorBarByTime"]=Localization["ColorBarByTime"],
	["Aura_AlterDecile"]=Localization["AlterDecile"]
}

NPA_Options:BuildCheckBoxList("NPA_Options_Aura",listframe5,20,checkboxdata,17,Options,1)


local listframe4=NPA_Options:CreateFrame("NPA_Options_Aura_Filter",mainframe)
listframe4:SetPoint("TOPLEFT",mainframe,"TOPLEFT",5,-290)
listframe4:SetWidth(180)

local checkboxdata={
	["Aura_BuffGrowUpward"]=Localization["BuffGrowUpward"],
	["Aura_BuffGrowRightward"]=Localization["BuffGrowRightward"],
	["Aura_DebuffGrowUpward"]=Localization["DebuffGrowUpward"],
	["Aura_DebuffGrowRightward"]=Localization["DebuffGrowRightward"],
	["Aura_SortBySpellid"]=Localization["SortBySpellid"],
	["Aura_SortByTimeleft"]=Localization["SortByTimeleft"]
}

NPA_Options:BuildCheckBoxList("NPA_Options_Aura",listframe4,20,checkboxdata,17,Options,1)

local editbox=NPA_Options:CreateTextureEditBox("NPA_Options_Aura_Anchor",mainframe,60,22,Localization["Anchor"],"Aura_FrameAnchor",6)
editbox:SetPoint("TOPLEFT",mainframe,"TOPLEFT",280,-215)
table_insert(Options,editbox)
editbox.Text:ClearAllPoints()
editbox.Text:SetPoint("RIGHT",editbox,"LEFT",0,0)

local editbox=NPA_Options:CreateTextureEditBox("NPA_Options_Aura_BuffAnchor",mainframe,60,22,Localization["BuffAnchor"],"Aura_BuffFrameAnchor",6)
editbox:SetPoint("TOPLEFT",mainframe,"TOPLEFT",280,-235)
table_insert(Options,editbox)
editbox.Text:ClearAllPoints()
editbox.Text:SetPoint("RIGHT",editbox,"LEFT",0,0)

local editbox=NPA_Options:CreateTextureEditBox("NPA_Options_Aura_DebuffAnchor",mainframe,60,22,Localization["DebuffAnchor"],"Aura_DebuffFrameAnchor",6)
editbox:SetPoint("TOPLEFT",mainframe,"TOPLEFT",280,-255)
table_insert(Options,editbox)
editbox.Text:ClearAllPoints()
editbox.Text:SetPoint("RIGHT",editbox,"LEFT",0,0)



--------------------whitelist
------------------------------------
local whitelist=NPA_Options:CreateFrame("NPA_Options_Aura_Filter_WhiteList",mainframe,Localization["WhiteList"],Tooltips["WhiteList"])
whitelist:SetPoint("TOPLEFT",mainframe,"TOPLEFT",3,-420)
whitelist:SetWidth(195)
whitelist:SetHeight(100)


----------by spellid
local spellid=NPA_Options:CreateCheckListEdit("NPA_Options_Aura_Filter_WhiteList_Spellid",whitelist,Localization["BySpellid"],"Aura_Filter_WhiteList_Spellid")
spellid:SetPoint("TOP",whitelist,"TOP",0,-3)

---------by name
local spellname=NPA_Options:CreateCheckListEdit("NPA_Options_Aura_Filter_WhiteList_Spellid",whitelist,Localization["BySpellname"],"Aura_Filter_WhiteList_Spellname")
spellname:SetPoint("TOP",whitelist,"TOP",0,-52)

-------------------blacklist
------------------------------------
local blacklist=NPA_Options:CreateFrame("NPA_Options_Aura_Filter_BlackList",mainframe,Localization["BlackList"],Tooltips["BlackList"])
blacklist:SetPoint("LEFT",whitelist,"RIGHT",-3,0)
blacklist:SetWidth(195)
blacklist:SetHeight(100)


----------by spellid
local spellid=NPA_Options:CreateCheckListEdit("NPA_Options_Aura_Filter_WhiteList_Spellid",blacklist,Localization["BySpellid"],"Aura_Filter_BlackList_Spellid")
spellid:SetPoint("TOP",blacklist,"TOP",0,-3)

---------by name
local spellname=NPA_Options:CreateCheckListEdit("NPA_Options_Aura_Filter_WhiteList_Spellid",blacklist,Localization["BySpellname"],"Aura_Filter_BlackList_Spellname")
spellname:SetPoint("TOP",blacklist,"TOP",0,-52)

-------------------------------------


---------filter
------------------
local listframe=NPA_Options:CreateFrame("NPA_Options_Aura_Filter",mainframe,Localization["BuffFilter"])
listframe:SetWidth(220)

local checkboxdata={
	["Aura_Filter_SelfBuff"]=Localization["SelfBuff"],
	["Aura_Filter_OtherBuff"]=Localization["OtherBuff"],
	["Aura_Filter_PetBuff"]=Localization["PetBuff"],
	["Aura_Filter_TargetBuff"]=Localization["TargetBuff"],
	["Aura_Filter_FocusBuff"]=Localization["FocusBuff"],
	["Aura_Filter_MouseoverBuff"]=Localization["MouseoverBuff"],
}

NPA_Options:BuildCheckBoxList("NPA_Options_Aura",listframe,20,checkboxdata,17,Options,1)



local listframe3=NPA_Options:CreateFrame("NPA_Options_Aura_Filter",mainframe,Localization["DebuffFilter"])
listframe3:SetWidth(220)

local checkboxdata={
	["Aura_Filter_PetDebuff"]=Localization["PetDebuff"],
	["Aura_Filter_SelfDebuff"]=Localization["SelfDebuff"],
	["Aura_Filter_OtherDebuff"]=Localization["OtherDebuff"],
	["Aura_Filter_TargetDebuff"]=Localization["TargetDebuff"],
	["Aura_Filter_FocusDebuff"]=Localization["FocusDebuff"],
	["Aura_Filter_MouseoverDebuff"]=Localization["MouseoverDebuff"],
	
}

NPA_Options:BuildCheckBoxList("NPA_Options_Aura",listframe3,20,checkboxdata,17,Options,1)

local listframe2=NPA_Options:CreateFrame("NPA_Options_Aura_Filter",mainframe,Localization["SchoolFilter"])
listframe2:SetWidth(220)

local checkboxdata={
	["Aura_Filter_Magic"]=Localization["Magic"],
	["Aura_Filter_Poison"]=Localization["Poison"],
	["Aura_Filter_Disease"]=Localization["Disease"],
	["Aura_Filter_Stealable"]=Localization["Stealable"],
	["Aura_Filter_Curse"]=Localization["Curse"],
	["Aura_Filter_Physic"]=Localization["Physic"],
	["Aura_ColorBackground"]=Localization["ColorBackground"],
	["Aura_ColorHighlight"]=Localization["ColorHighlight"],
	["Aura_ColorBar"]=Localization["ColorBar"],
	["Aura_ColorMagic"]=Localization["ColorMagic"],
	["Aura_ColorPoison"]=Localization["ColorPoison"],
	["Aura_ColorDisease"]=Localization["ColorDisease"],
	["Aura_ColorCurse"]=Localization["ColorCurse"],
	["Aura_ColorPhysic"]=Localization["ColorPhysic"],
		
}

NPA_Options:BuildCheckBoxList("NPA_Options_Aura",listframe2,20,checkboxdata,17,Options,1)



local listframe4=NPA_Options:CreateFrame("NPA_Options_Aura_Filter",mainframe,Localization["Highlight"])
listframe4:SetWidth(220)

local checkboxdata={
	["Aura_UseHighlightScale"]=Localization["UseHighlightScale"],
	["Aura_Highlight"]=Localization["UseHighlight"],
	["Aura_Filter_Highlight_Magic"]=Localization["Magic"],
	["Aura_Filter_Highlight_Poison"]=Localization["Poison"],
	["Aura_Filter_Highlight_Disease"]=Localization["Disease"],
	["Aura_Filter_Highlight_Physic"]=Localization["Physic"],
	["Aura_Filter_Highlight_Curse"]=Localization["Curse"],
	["Aura_Filter_Highlight_Stealable"]=Localization["Stealable"],
	["Aura_Filter_Highlight_Mine"]=Localization["Mine"],
	["Aura_Filter_Highlight_Other"]=Localization["Other"],
}

NPA_Options:BuildCheckBoxList("NPA_Options_Aura",listframe4,20,checkboxdata,17,Options,1)



mainframe:HookScript("OnShow",function()
	listframe:Show()
	listframe2:Show()
	listframe3:Show()
	listframe4:Show()

	listframe:Hide()
	listframe2:Hide()
	listframe3:Hide()

	end)

local button1=NPA_Options:CreateButton("NPA_Options_Aura_Button1",mainframe,0,21,Localization["BuffFilter"])
button1:SetPoint("TOPLEFT",mainframe,"TOPLEFT",370,-5)
button1:SetPoint("TOPRIGHT",mainframe,"TOPRIGHT",-5,-5)
button1:SetScript("OnClick",function()
	listframe:Show()
	listframe2:Hide()
	listframe3:Hide()
	listframe4:Hide()

	end)
local button2=NPA_Options:CreateButton("NPA_Options_Aura_Button2",mainframe,0,21,Localization["DebuffFilter"])
button2:SetPoint("TOPLEFT",button1,"BOTTOMLEFT",0,0)
button2:SetPoint("TOPRIGHT",button1,"BOTTOMRIGHT",0,0)
button2:SetScript("OnClick",function()
	listframe:Hide()
	listframe2:Hide()
	listframe3:Show()
	listframe4:Hide()

	end)

local button3=NPA_Options:CreateButton("NPA_Options_Aura_Button3",mainframe,0,21,Localization["SchoolFilter"])
button3:SetPoint("TOPLEFT",button2,"BOTTOMLEFT",0,0)
button3:SetPoint("TOPRIGHT",button2,"BOTTOMRIGHT",0,0)
button3:SetScript("OnClick",function()
	listframe:Hide()
	listframe2:Show()
	listframe3:Hide()
	listframe4:Hide()

	end)
local button4=NPA_Options:CreateButton("NPA_Options_Aura_Button4",mainframe,0,21,Localization["Highlight"])
button4:SetPoint("TOPLEFT",button3,"BOTTOMLEFT",0,0)
button4:SetPoint("TOPRIGHT",button3,"BOTTOMRIGHT",0,0)
button4:SetScript("OnClick",function()
	listframe:Hide()
	listframe2:Hide()
	listframe3:Hide()
	listframe4:Show()

	end)

listframe:SetPoint("TOPLEFT",button4,"BOTTOMLEFT",0,-20)
listframe2:SetPoint("TOPLEFT",button4,"BOTTOMLEFT",0,-20)
listframe3:SetPoint("TOPLEFT",button4,"BOTTOMLEFT",0,-20)
listframe4:SetPoint("TOPLEFT",button4,"BOTTOMLEFT",0,-20)



local scalelist=NPA_Options:CreateEditList("NPA_Options_Aura_ScaleList",mainframe,Localization["ScaleList"],Localization["SpellId"],Localization["Scale"],"Aura_ScaleList")
scalelist:SetPoint("BOTTOMRIGHT",mainframe,"BOTTOMRIGHT",-5,5)

local highlightlist=NPA_Options:CreateEditList("NPA_Options_Aura_ScaleList",listframe4,Localization["HighlightList"],Localization["SpellId"],nil,"Aura_HighlightList")
highlightlist:SetPoint("TOPLEFT",listframe4,"BOTTOMLEFT",0,-5)
highlightlist.Box2:Hide()
highlightlist.Box2:SetText(1)
highlightlist:SetHeight(82)
end